WeightedEdge (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.edge
Class WeightedEdge

    java.lang.Object
      java.util.Observable
          org.maltparser.core.syntaxgraph.GraphElement
              org.maltparser.core.syntaxgraph.edge.GraphEdge
                  org.maltparser.core.syntaxgraph.edge.WeightedEdge

All Implemented Interfaces:
  Comparable<GraphEdge>, Edge, Element, Weightable

    public class WeightedEdge

extends GraphEdge
implements Weightable

Author:
  Johan Hall

Field Summary

Fields inherited from interface org.maltparser.core.syntaxgraph.edge.Edge
`DEPENDENCY_EDGE, PHRASE_STRUCTURE_EDGE, SECONDARY_EDGE`

Constructor Summary
`WeightedEdge()`
`WeightedEdge(Node source, Node target, int type)`
`WeightedEdge(Node source, Node target, int type, Double weight)`

Method Summary
`void` | `clear()` Resets the graph element.
`int` | `compareTo(WeightedEdge that)`
`boolean` | `equals(Object obj)`
`double` | `getWeight()`
`int` | `hashCode()`
`void` | `setWeight(double weight)`
`String` | `toString()`

Methods inherited from class org.maltparser.core.syntaxgraph.edge.GraphEdge
`compareTo, getSource, getTarget, getType, setEdge`

Methods inherited from class org.maltparser.core.syntaxgraph.GraphElement
`addLabel, addLabel, addLabel, compareTo, getBelongsToGraph, getLabelCode, getLabelSet, getLabelSymbol, getLabelTypes, hasLabel, isLabeled, nLabels, removeLabel, removeLabels, setBelongsToGraph`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.maltparser.core.syntaxgraph.Element
`addLabel, addLabel, addLabel, getBelongsToGraph, getLabelCode, getLabelSet, getLabelSymbol, getLabelTypes, hasLabel, isLabeled, nLabels, removeLabel, removeLabels, setBelongsToGraph`

Constructor Detail

### WeightedEdge

    public WeightedEdge()

### WeightedEdge

    public WeightedEdge(Node source,
                        Node target,
                        int type)
                 throws MaltChainedException

Throws:
  `MaltChainedException`

### WeightedEdge

    public WeightedEdge(Node source,
                        Node target,
                        int type,
                        Double weight)
                 throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### clear

    public void clear()
               throws MaltChainedException

  Description copied from class: `GraphElement`
  Resets the graph element.

  Specified by:
    `clear` in interface `Element`
  Overrides:
    `clear` in class `GraphEdge`
  Throws:
    `MaltChainedException`

### getWeight

    public double getWeight()

  Specified by:
    `getWeight` in interface `Weightable`

### setWeight

    public void setWeight(double weight)

  Specified by:
    `setWeight` in interface `Weightable`

### compareTo

    public int compareTo(WeightedEdge that)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `GraphEdge`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `GraphEdge`

### toString

    public String toString()

  Overrides:
    `toString` in class `GraphEdge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.